3 Replies Latest reply on Jun 14, 2016 7:25 PM by Bashar.

    jre/java in EBS R12.1.3

    ramya3250

      Hi,

       

      we are using ebs R12.1.3 with database 12.1.0.2. I was confused with all these java and its versions. Can someone clarify.

      on linux server:

      $java -version

      java version "1.7.0_80"

      Java(TM) SE Runtime Environment (build 1.7.0_80-b15)

      Java HotSpot(TM) Server VM (build 24.80-b11, mixed mode)

       

      from EBS R12.1.3 context_file:

      <!-- JDK plugins -->

               <sun_plugin_ver oa_var="s_sun_plugin_ver">1.7.0_15</sun_plugin_ver>

               <sun_plugin_type oa_var="s_sun_plugin_type">jdk</sun_plugin_type>

               <sun_clsid oa_var="s_sun_clsid">CAFEEFAC-0017-0000-0015-ABCDEFFEDCBA</sun_clsid>

       

      <!-- Jinitiator -->

               <jinit_ver_dot oa_var="s_jinit_ver_dot">1.6.0_07</jinit_ver_dot>

               <jinit_ver_comma oa_var="s_jinit_ver_comma">1.6.0_07</jinit_ver_comma>

               <jinit_clsid oa_var="s_jinit_clsid">CAFEEFAC-0016-0000-0007-ABCDEFFEDCBA</jinit_clsid>

       

      and on my laptop it was java version 8 update 91.... why its giving diff diff versions ?

      do we need to update this context_file according to our laptop java version every time we gets new java version installed on my laptop.

        • 1. Re: jre/java in EBS R12.1.3
          Bashar.

          Hi,

           

          The first Java version is the one installed in the application server or database server technology stack. It is used by the server processes that comprise the various EBS services such as IAS.

           

          The context file has configuration pertaining to both JDK plugin and Jinitiator.

          The JDK plugin is the client JRE that must be installed for the application (forms) to work. The version in the context file is the minimum that must be installed on the client computer.

          Jinitiator is no longer available and has been desupported years ago.

           

          Regards,

          Bashar

          1 person found this helpful
          • 2. Re: jre/java in EBS R12.1.3
            ramya3250

            Do we need to update JDK plugin version in context file and remove Jinitiator from context file ?

            how does context file picking this java version, i meant from where

             

            !-- JDK plugins -->

                     <sun_plugin_ver oa_var="s_sun_plugin_ver">1.7.0_15</sun_plugin_ver>

                     <sun_plugin_type oa_var="s_sun_plugin_type">jdk</sun_plugin_type>

                     <sun_clsid oa_var="s_sun_clsid">CAFEEFAC-0017-0000-0015-ABCDEFFEDCBA</sun_clsid>

            • 3. Re: jre/java in EBS R12.1.3
              Bashar.

              You should NOT change anything in the context file manually especially removing stuff!

              These settings are usually shipped with the product.

              The supported way of updating them is to use a script (txkSetPlugin) AFTER you copy the newer JRE version to the relevant folder.

              Review this document for everything you need to know about this process:

               

              Deploying JRE (Native Plug-in) for Windows Clients in Oracle E-Business Suite Release 12 (Doc ID 393931.1)

               

              Regards,

              Bashar